- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SizeBasedTriggeringPolicy Class Reference

Inherits TriggeringPolicy.

List of all members.

## Detailed Description

SizeBasedTriggeringPolicy looks at size of the file being currently written to.

## Public Member Functions
| SizeBasedTriggeringPolicy ()
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)
| Determines if a rollover may be appropriate at this time.
size_t | getMaxFileSize ()
void | setMaxFileSize (size_t l)
void | activateOptions (log4cxx::helpers::Pool &)
| Activate the options that were previously set with calls to option setters.
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`.
## Protected Attributes
size_t | maxFileSize

## Constructor & Destructor Documentation

SizeBasedTriggeringPolicy | ( |  | ) |

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & |  | ) | `[virtual]`

| Activate the options that were previously set with calls to option setters. This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set. For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set. Implements OptionHandler.

size_t getMaxFileSize | ( |  | ) |

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) | `[virtual]`

  | Determines if a rollover may be appropriate at this time. If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted. Parameters:
  | appender | A reference to the appender.
  | event | A reference to the currently event.
  | filename | The filename for the currently active log file.
  | fileLength | Length of the file in bytes.
Returns: true if a rollover should occur. Implements TriggeringPolicy.

void setMaxFileSize | ( | size_t | l | ) |

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Implements OptionHandler.

## Member Data Documentation

size_t maxFileSize`[protected]`

The documentation for this class was generated from the following file:

- sizebasedtriggeringpolicy.h